
/*******************************************************************************

 Copyright (c) 2009, Charles McGarvey
 All rights reserved.
 
 Redistribution   and   use  in  source  and  binary  forms,  with  or  without
 modification, are permitted provided that the following conditions are met:
 
   * Redistributions  of  source  code  must retain the above copyright notice,
     this list of conditions and the following disclaimer.
   * Redistributions  in binary form must reproduce the above copyright notice,
     this  list of conditions and the following disclaimer in the documentation
     and/or other materials provided with the distribution.
 
 THIS  SOFTWARE  IS  PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND  ANY  EXPRESS  OR  IMPLIED  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN  NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR  ANY  DIRECT,  INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES  (INCLUDING,  BUT  NOT  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES;  LOSS  OF  USE,  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED  AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*******************************************************************************/

#ifndef _VERSION_H_
#define _VERSION_H_


// yoinked from fluxbox

#ifdef __VERSION__
#define COMPILER_VERSION __VERSION__

#ifdef __GNUG__
#define COMPILER_NAME "GCC"
#endif  // __GNUG__

#elif (defined(__sgi) || defined(sgi)) && __COMPILER_VERSION
#define COMPILER_NAME "SGI"
#define COMPILER_VERSION __COMPILER_VERSION
#elif defined(__MWERKS__)
#define COMPILER_NAME "MWERKS"
#define COMPILER_VERSION __MWERKS__
#elif defined(__INTEL_COMPILER) || defined(__ICC)
#define COMPILER_NAME "ICC"
#define COMPILER_VERSION __INTEL_COMPILER
#elif defined(__SUNPRO_CC)
#define COMPILER_NAME "SUNPRO_CC"
#define COMPILER_VERSION __SUNPRO_CC
#elif defined(__COMO__) && defined(__COMO_VERSION__)
#define COMPILER_NAME "COMO"
#define COMPILER_VERSION __COMO_VERSION__
#elif defined(_CRAYC) && defined(_REVISION)
#define COMPILER_NAME "GRAYC"
#define COMPILER_VERSION _REVISION
#elif defined(__DECCXX) && defined(__DECCXX)
#define COMPILER_NAME "DECCXX"
#define COMPILER_VERSION __DECCXX
#elif defined(__DCC__)
#define COMPILER_NAME "DCC"
#define COMPILER_VERSION __VERSION_NUMBER__
#endif // __VERSION__

#ifdef COMPILER_NAME
#ifdef COMPILER_VERSION
#define COMPILER_STRING COMPILER_NAME" "COMPILER_VERSION
#else
#define COMPILER_STRING COMPILER_NAME" (unknown version)"
#define COMPILER_VERSION "Unknown"
#endif // COMPILER_VERSION
#else
#define COMPILER_STRING "Unknown"
#define COMPILER_NAME "Unknown"
#endif // COMPILER_NAME


#endif // _VERSION_H_

/** vim: set ts=4 sw=4 tw=80: *************************************************/

